Package: org.grails.core.support.internal.tools

## [Java] Class ClassRelativeResourcePatternResolver

- org.grails.core.support.internal.tools.ClassRelativeResourcePatternResolver

- Attempts to limit classpath searching to only locations relative to the given class

  Authors:
    Graeme Rocher
  Since:
    3.1.13

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.core.io.support.PathMatchingResourcePatternResolver` | `CLASSPATH_ALL_URL_PREFIX, CLASSPATH_URL_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassRelativeResourcePatternResolver (java.lang.Class clazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addAllClassLoaderJarRoots(java.lang.ClassLoader classLoader, java.util.Set<org.springframework.core.io.Resource> result)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.support.PathMatchingResourcePatternResolver` | `org.springframework.core.io.support.PathMatchingResourcePatternResolver#getPathMatcher(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getResourceLoader(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#setPathMatcher(org.springframework.util.PathMatcher), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getClassLoader(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getResource(java.lang.String), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getResources(java.lang.String), org.springframework.core.io.support.PathMatchingResourcePatternResolver#wait(long, int), org.springframework.core.io.support.PathMatchingResourcePatternResolver#wait(long), org.springframework.core.io.support.PathMatchingResourcePatternResolver#wait(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#equals(java.lang.Object), org.springframework.core.io.support.PathMatchingResourcePatternResolver#toString(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#hashCode(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getClass(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#notify(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ClassRelativeResourcePatternResolver(java.lang.Class clazz)

  - ### Method Detail

    - #### @java.lang.Override protected void addAllClassLoaderJarRoots(java.lang.ClassLoader classLoader, java.util.Set<org.springframework.core.io.Resource> result)